Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Task.h File Reference

`#include "ace/Service_Object.h"`
`#include "ace/Thread_Manager.h"`
`#include "ace/Task.i"`
`#include "ace/Task_T.h"`

Include dependency graph for Task.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Task_Base
| Direct base class for the ACE_Task template. More...
class | ACE_Task_Flags
| These flags are used within the ACE_Task. More...

## Detailed Description

Id:
  Task.h,v 4.60 2003/07/19 19:04:14 dhinton Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>